{-# LANGUAGE Haskell2010                #-}

module Data.Multibase.Types.Codecs.Base10 
  ( Base10
  , Multibase(..)
  , MultibaseLazy(..)
  , MultibaseShort(..)
  , MultibaseBytes(..)
  , MultibaseBytesLazy(..)
  , MultibaseBytesShort(..)
    -- * decoding
  , decodeMultibase
  , decodeMultibaseToText
  , decodeMultibaseBytes
  , decodeMultibaseBytesToText
  , decodeMultibaseBytesLazy
  , decodeMultibaseBytesLazyToText
  , decodeMultibaseBytesShort
  , decodeMultibaseBytesShortToText
  , decodeMultibaseLazy
  , decodeMultibaseLazyToText
  , decodeMultibaseShort
  , decodeMultibaseShortToText
    -- * encoding
  , encodeBase10ToMultibase
  , encodeTextInBase10ToMultibase
  , encodeBase10ToMultibaseLazy
  , encodeTextInBase10ToMultibaseLazy
  , encodeBase10ToMultibaseShort
  , encodeTextInBase10ToMultibaseShort
  , encodeBase10ToMultibaseBytes
  , encodeTextInBase10ToMultibaseBytes
  , encodeBase10ToMultibaseBytesLazy
  , encodeTextInBase10ToMultibaseBytesLazy
  , encodeBase10ToMultibaseBytesShort
  , encodeTextInBase10ToMultibaseBytesShort
  ) where

import           Data.Multibase.Types.Internal.IsCodec
import           Data.Multibase.Types.Internal.IsMultibase
import           Data.Multibase.Types.Multibase
import           Data.Multibase.Types.MultibaseLazy
import           Data.Multibase.Types.MultibaseShort
import           Data.Multibase.Types.MultibaseBytes
import           Data.Multibase.Types.MultibaseBytesLazy
import           Data.Multibase.Types.MultibaseBytesShort
