{-# LANGUAGE Haskell2010                #-}

module Data.Multibase.Types.Codecs.Base16Upper 
  ( Base16Upper
  , Multibase(..)
  , MultibaseLazy(..)
  , MultibaseShort(..)
  , MultibaseBytes(..)
  , MultibaseBytesLazy(..)
  , MultibaseBytesShort(..)
    -- * decoding
  , decodeMultibase
  , decodeMultibaseToText
  , decodeMultibaseBytes
  , decodeMultibaseBytesToText
  , decodeMultibaseBytesLazy
  , decodeMultibaseBytesLazyToText
  , decodeMultibaseBytesShort
  , decodeMultibaseBytesShortToText
  , decodeMultibaseLazy
  , decodeMultibaseLazyToText
  , decodeMultibaseShort
  , decodeMultibaseShortToText
    -- * encoding
  , encodeBase16UpperToMultibase
  , encodeTextInBase16UpperToMultibase
  , encodeBase16UpperToMultibaseLazy
  , encodeTextInBase16UpperToMultibaseLazy
  , encodeBase16UpperToMultibaseShort
  , encodeTextInBase16UpperToMultibaseShort
  , encodeBase16UpperToMultibaseBytes
  , encodeTextInBase16UpperToMultibaseBytes
  , encodeBase16UpperToMultibaseBytesLazy
  , encodeTextInBase16UpperToMultibaseBytesLazy
  , encodeBase16UpperToMultibaseBytesShort
  , encodeTextInBase16UpperToMultibaseBytesShort
  ) where

import           Data.Multibase.Types.Internal.IsCodec
import           Data.Multibase.Types.Internal.IsMultibase
import           Data.Multibase.Types.Multibase
import           Data.Multibase.Types.MultibaseLazy
import           Data.Multibase.Types.MultibaseShort
import           Data.Multibase.Types.MultibaseBytes
import           Data.Multibase.Types.MultibaseBytesLazy
import           Data.Multibase.Types.MultibaseBytesShort
