{-# LANGUAGE Haskell2010                #-}

module Data.Multibase.Types.Codecs.Base2 
  ( Base2
  , Multibase(..)
  , MultibaseLazy(..)
  , MultibaseShort(..)
  , MultibaseBytes(..)
  , MultibaseBytesLazy(..)
  , MultibaseBytesShort(..)
    -- * decoding
  , decodeMultibase
  , decodeMultibaseToText
  , decodeMultibaseBytes
  , decodeMultibaseBytesToText
  , decodeMultibaseBytesLazy
  , decodeMultibaseBytesLazyToText
  , decodeMultibaseBytesShort
  , decodeMultibaseBytesShortToText
  , decodeMultibaseLazy
  , decodeMultibaseLazyToText
  , decodeMultibaseShort
  , decodeMultibaseShortToText
    -- * encoding
  , encodeBase2ToMultibase
  , encodeTextInBase2ToMultibase
  , encodeBase2ToMultibaseLazy
  , encodeTextInBase2ToMultibaseLazy
  , encodeBase2ToMultibaseShort
  , encodeTextInBase2ToMultibaseShort
  , encodeBase2ToMultibaseBytes
  , encodeTextInBase2ToMultibaseBytes
  , encodeBase2ToMultibaseBytesLazy
  , encodeTextInBase2ToMultibaseBytesLazy
  , encodeBase2ToMultibaseBytesShort
  , encodeTextInBase2ToMultibaseBytesShort
  ) where

import           Data.Multibase.Types.Internal.IsCodec
import           Data.Multibase.Types.Internal.IsMultibase
import           Data.Multibase.Types.Multibase
import           Data.Multibase.Types.MultibaseLazy
import           Data.Multibase.Types.MultibaseShort
import           Data.Multibase.Types.MultibaseBytes
import           Data.Multibase.Types.MultibaseBytesLazy
import           Data.Multibase.Types.MultibaseBytesShort
