{-# LANGUAGE Haskell2010                #-}

module Data.Multibase.Types.Codecs.Base32HexPadLower 
  ( Base32HexPadLower
  , Multibase(..)
  , MultibaseLazy(..)
  , MultibaseShort(..)
  , MultibaseBytes(..)
  , MultibaseBytesLazy(..)
  , MultibaseBytesShort(..)
    -- * decoding
  , decodeMultibase
  , decodeMultibaseToText
  , decodeMultibaseBytes
  , decodeMultibaseBytesToText
  , decodeMultibaseBytesLazy
  , decodeMultibaseBytesLazyToText
  , decodeMultibaseBytesShort
  , decodeMultibaseBytesShortToText
  , decodeMultibaseLazy
  , decodeMultibaseLazyToText
  , decodeMultibaseShort
  , decodeMultibaseShortToText
    -- * encoding
  , encodeBase32HexPadLowerToMultibase
  , encodeTextInBase32HexPadLowerToMultibase
  , encodeBase32HexPadLowerToMultibaseLazy
  , encodeTextInBase32HexPadLowerToMultibaseLazy
  , encodeBase32HexPadLowerToMultibaseShort
  , encodeTextInBase32HexPadLowerToMultibaseShort
  , encodeBase32HexPadLowerToMultibaseBytes
  , encodeTextInBase32HexPadLowerToMultibaseBytes
  , encodeBase32HexPadLowerToMultibaseBytesLazy
  , encodeTextInBase32HexPadLowerToMultibaseBytesLazy
  , encodeBase32HexPadLowerToMultibaseBytesShort
  , encodeTextInBase32HexPadLowerToMultibaseBytesShort
  ) where

import           Data.Multibase.Types.Internal.IsCodec
import           Data.Multibase.Types.Internal.IsMultibase
import           Data.Multibase.Types.Multibase
import           Data.Multibase.Types.MultibaseLazy
import           Data.Multibase.Types.MultibaseShort
import           Data.Multibase.Types.MultibaseBytes
import           Data.Multibase.Types.MultibaseBytesLazy
import           Data.Multibase.Types.MultibaseBytesShort
