{-# LANGUAGE Haskell2010                #-}

module Data.Multibase.Types.Codecs.Base32NoPadLower 
  ( Base32NoPadLower
  , Multibase(..)
  , MultibaseLazy(..)
  , MultibaseShort(..)
  , MultibaseBytes(..)
  , MultibaseBytesLazy(..)
  , MultibaseBytesShort(..)
    -- * decoding
  , decodeMultibase
  , decodeMultibaseToText
  , decodeMultibaseBytes
  , decodeMultibaseBytesToText
  , decodeMultibaseBytesLazy
  , decodeMultibaseBytesLazyToText
  , decodeMultibaseBytesShort
  , decodeMultibaseBytesShortToText
  , decodeMultibaseLazy
  , decodeMultibaseLazyToText
  , decodeMultibaseShort
  , decodeMultibaseShortToText
    -- * encoding
  , encodeBase32NoPadLowerToMultibase
  , encodeTextInBase32NoPadLowerToMultibase
  , encodeBase32NoPadLowerToMultibaseLazy
  , encodeTextInBase32NoPadLowerToMultibaseLazy
  , encodeBase32NoPadLowerToMultibaseShort
  , encodeTextInBase32NoPadLowerToMultibaseShort
  , encodeBase32NoPadLowerToMultibaseBytes
  , encodeTextInBase32NoPadLowerToMultibaseBytes
  , encodeBase32NoPadLowerToMultibaseBytesLazy
  , encodeTextInBase32NoPadLowerToMultibaseBytesLazy
  , encodeBase32NoPadLowerToMultibaseBytesShort
  , encodeTextInBase32NoPadLowerToMultibaseBytesShort
  ) where

import           Data.Multibase.Types.Internal.IsCodec
import           Data.Multibase.Types.Internal.IsMultibase
import           Data.Multibase.Types.Multibase
import           Data.Multibase.Types.MultibaseLazy
import           Data.Multibase.Types.MultibaseShort
import           Data.Multibase.Types.MultibaseBytes
import           Data.Multibase.Types.MultibaseBytesLazy
import           Data.Multibase.Types.MultibaseBytesShort
