{-# LANGUAGE Haskell2010                #-}

module Data.Multibase.Types.Codecs.Base64urlPad 
  ( Base64urlPad
  , Multibase(..)
  , MultibaseLazy(..)
  , MultibaseShort(..)
  , MultibaseBytes(..)
  , MultibaseBytesLazy(..)
  , MultibaseBytesShort(..)
    -- * decoding
  , decodeMultibase
  , decodeMultibaseToText
  , decodeMultibaseBytes
  , decodeMultibaseBytesToText
  , decodeMultibaseBytesLazy
  , decodeMultibaseBytesLazyToText
  , decodeMultibaseBytesShort
  , decodeMultibaseBytesShortToText
  , decodeMultibaseLazy
  , decodeMultibaseLazyToText
  , decodeMultibaseShort
  , decodeMultibaseShortToText
    -- * encoding
  , encodeBase64urlPadToMultibase
  , encodeTextInBase64urlPadToMultibase
  , encodeBase64urlPadToMultibaseLazy
  , encodeTextInBase64urlPadToMultibaseLazy
  , encodeBase64urlPadToMultibaseShort
  , encodeTextInBase64urlPadToMultibaseShort
  , encodeBase64urlPadToMultibaseBytes
  , encodeTextInBase64urlPadToMultibaseBytes
  , encodeBase64urlPadToMultibaseBytesLazy
  , encodeTextInBase64urlPadToMultibaseBytesLazy
  , encodeBase64urlPadToMultibaseBytesShort
  , encodeTextInBase64urlPadToMultibaseBytesShort
  ) where

import           Data.Multibase.Types.Internal.IsCodec
import           Data.Multibase.Types.Internal.IsMultibase
import           Data.Multibase.Types.Multibase
import           Data.Multibase.Types.MultibaseLazy
import           Data.Multibase.Types.MultibaseShort
import           Data.Multibase.Types.MultibaseBytes
import           Data.Multibase.Types.MultibaseBytesLazy
import           Data.Multibase.Types.MultibaseBytesShort
