{-# LANGUAGE Haskell2010                #-}

module Data.Multibase.Types.Codecs.Base8 
  ( Base8
  , Multibase(..)
  , MultibaseLazy(..)
  , MultibaseShort(..)
  , MultibaseBytes(..)
  , MultibaseBytesLazy(..)
  , MultibaseBytesShort(..)
    -- * decoding
  , decodeMultibase
  , decodeMultibaseToText
  , decodeMultibaseBytes
  , decodeMultibaseBytesToText
  , decodeMultibaseBytesLazy
  , decodeMultibaseBytesLazyToText
  , decodeMultibaseBytesShort
  , decodeMultibaseBytesShortToText
  , decodeMultibaseLazy
  , decodeMultibaseLazyToText
  , decodeMultibaseShort
  , decodeMultibaseShortToText
    -- * encoding
  , encodeBase8ToMultibase
  , encodeTextInBase8ToMultibase
  , encodeBase8ToMultibaseLazy
  , encodeTextInBase8ToMultibaseLazy
  , encodeBase8ToMultibaseShort
  , encodeTextInBase8ToMultibaseShort
  , encodeBase8ToMultibaseBytes
  , encodeTextInBase8ToMultibaseBytes
  , encodeBase8ToMultibaseBytesLazy
  , encodeTextInBase8ToMultibaseBytesLazy
  , encodeBase8ToMultibaseBytesShort
  , encodeTextInBase8ToMultibaseBytesShort
  ) where

import           Data.Multibase.Types.Internal.IsCodec
import           Data.Multibase.Types.Internal.IsMultibase
import           Data.Multibase.Types.Multibase
import           Data.Multibase.Types.MultibaseLazy
import           Data.Multibase.Types.MultibaseShort
import           Data.Multibase.Types.MultibaseBytes
import           Data.Multibase.Types.MultibaseBytesLazy
import           Data.Multibase.Types.MultibaseBytesShort
