{-# LANGUAGE Haskell2010                #-}

module Data.Multibase.Types.Codecs.IdentityBase 
  ( IdentityBase
  , Multibase(..)
  , MultibaseLazy(..)
  , MultibaseShort(..)
  , MultibaseBytes(..)
  , MultibaseBytesLazy(..)
  , MultibaseBytesShort(..)
    -- * decoding
  , decodeMultibase
  , decodeMultibaseToText
  , decodeMultibaseBytes
  , decodeMultibaseBytesToText
  , decodeMultibaseBytesLazy
  , decodeMultibaseBytesLazyToText
  , decodeMultibaseBytesShort
  , decodeMultibaseBytesShortToText
  , decodeMultibaseLazy
  , decodeMultibaseLazyToText
  , decodeMultibaseShort
  , decodeMultibaseShortToText
    -- * encoding
  , encodeIdentityBaseToMultibase
  , encodeTextInIdentityBaseToMultibase
  , encodeIdentityBaseToMultibaseLazy
  , encodeTextInIdentityBaseToMultibaseLazy
  , encodeIdentityBaseToMultibaseShort
  , encodeTextInIdentityBaseToMultibaseShort
  , encodeIdentityBaseToMultibaseBytes
  , encodeTextInIdentityBaseToMultibaseBytes
  , encodeIdentityBaseToMultibaseBytesLazy
  , encodeTextInIdentityBaseToMultibaseBytesLazy
  , encodeIdentityBaseToMultibaseBytesShort
  , encodeTextInIdentityBaseToMultibaseBytesShort
  ) where

import           Data.Multibase.Types.Internal.IsCodec
import           Data.Multibase.Types.Internal.IsMultibase
import           Data.Multibase.Types.Multibase
import           Data.Multibase.Types.MultibaseLazy
import           Data.Multibase.Types.MultibaseShort
import           Data.Multibase.Types.MultibaseBytes
import           Data.Multibase.Types.MultibaseBytesLazy
import           Data.Multibase.Types.MultibaseBytesShort
