{-# LANGUAGE Haskell2010                #-}

module Data.Multibase.Types.Codecs.Base32HexNoPadLower 
  ( Base32HexNoPadLower
  , Multibase(..)
  , MultibaseLazy(..)
  , MultibaseShort(..)
  , MultibaseBytes(..)
  , MultibaseBytesLazy(..)
  , MultibaseBytesShort(..)
    -- * decoding
  , decodeMultibase
  , decodeMultibaseToText
  , decodeMultibaseBytes
  , decodeMultibaseBytesToText
  , decodeMultibaseBytesLazy
  , decodeMultibaseBytesLazyToText
  , decodeMultibaseBytesShort
  , decodeMultibaseBytesShortToText
  , decodeMultibaseLazy
  , decodeMultibaseLazyToText
  , decodeMultibaseShort
  , decodeMultibaseShortToText
    -- * encoding
  , encodeBase32HexNoPadLowerToMultibase
  , encodeTextInBase32HexNoPadLowerToMultibase
  , encodeBase32HexNoPadLowerToMultibaseLazy
  , encodeTextInBase32HexNoPadLowerToMultibaseLazy
  , encodeBase32HexNoPadLowerToMultibaseShort
  , encodeTextInBase32HexNoPadLowerToMultibaseShort
  , encodeBase32HexNoPadLowerToMultibaseBytes
  , encodeTextInBase32HexNoPadLowerToMultibaseBytes
  , encodeBase32HexNoPadLowerToMultibaseBytesLazy
  , encodeTextInBase32HexNoPadLowerToMultibaseBytesLazy
  , encodeBase32HexNoPadLowerToMultibaseBytesShort
  , encodeTextInBase32HexNoPadLowerToMultibaseBytesShort
  ) where

import           Data.Multibase.Types.Internal.IsCodec
import           Data.Multibase.Types.Internal.IsMultibase
import           Data.Multibase.Types.Multibase
import           Data.Multibase.Types.MultibaseLazy
import           Data.Multibase.Types.MultibaseShort
import           Data.Multibase.Types.MultibaseBytes
import           Data.Multibase.Types.MultibaseBytesLazy
import           Data.Multibase.Types.MultibaseBytesShort
