{-# LANGUAGE Haskell2010                #-}

module Data.Multibase.Types.Codecs.Base32HexNoPadUpper 
  ( Base32HexNoPadUpper
  , Multibase(..)
  , MultibaseLazy(..)
  , MultibaseShort(..)
  , MultibaseBytes(..)
  , MultibaseBytesLazy(..)
  , MultibaseBytesShort(..)
    -- * decoding
  , decodeMultibase
  , decodeMultibaseToText
  , decodeMultibaseBytes
  , decodeMultibaseBytesToText
  , decodeMultibaseBytesLazy
  , decodeMultibaseBytesLazyToText
  , decodeMultibaseBytesShort
  , decodeMultibaseBytesShortToText
  , decodeMultibaseLazy
  , decodeMultibaseLazyToText
  , decodeMultibaseShort
  , decodeMultibaseShortToText
    -- * encoding
  , encodeBase32HexNoPadUpperToMultibase
  , encodeTextInBase32HexNoPadUpperToMultibase
  , encodeBase32HexNoPadUpperToMultibaseLazy
  , encodeTextInBase32HexNoPadUpperToMultibaseLazy
  , encodeBase32HexNoPadUpperToMultibaseShort
  , encodeTextInBase32HexNoPadUpperToMultibaseShort
  , encodeBase32HexNoPadUpperToMultibaseBytes
  , encodeTextInBase32HexNoPadUpperToMultibaseBytes
  , encodeBase32HexNoPadUpperToMultibaseBytesLazy
  , encodeTextInBase32HexNoPadUpperToMultibaseBytesLazy
  , encodeBase32HexNoPadUpperToMultibaseBytesShort
  , encodeTextInBase32HexNoPadUpperToMultibaseBytesShort
  ) where

import           Data.Multibase.Types.Internal.IsCodec
import           Data.Multibase.Types.Internal.IsMultibase
import           Data.Multibase.Types.Multibase
import           Data.Multibase.Types.MultibaseLazy
import           Data.Multibase.Types.MultibaseShort
import           Data.Multibase.Types.MultibaseBytes
import           Data.Multibase.Types.MultibaseBytesLazy
import           Data.Multibase.Types.MultibaseBytesShort
