{-# LANGUAGE Haskell2010                #-}

module Data.Multibase.Types.Codecs.Base32PadLower 
  ( Base32PadLower
  , Multibase(..)
  , MultibaseLazy(..)
  , MultibaseShort(..)
  , MultibaseBytes(..)
  , MultibaseBytesLazy(..)
  , MultibaseBytesShort(..)
    -- * decoding
  , decodeMultibase
  , decodeMultibaseToText
  , decodeMultibaseBytes
  , decodeMultibaseBytesToText
  , decodeMultibaseBytesLazy
  , decodeMultibaseBytesLazyToText
  , decodeMultibaseBytesShort
  , decodeMultibaseBytesShortToText
  , decodeMultibaseLazy
  , decodeMultibaseLazyToText
  , decodeMultibaseShort
  , decodeMultibaseShortToText
    -- * encoding
  , encodeBase32PadLowerToMultibase
  , encodeTextInBase32PadLowerToMultibase
  , encodeBase32PadLowerToMultibaseLazy
  , encodeTextInBase32PadLowerToMultibaseLazy
  , encodeBase32PadLowerToMultibaseShort
  , encodeTextInBase32PadLowerToMultibaseShort
  , encodeBase32PadLowerToMultibaseBytes
  , encodeTextInBase32PadLowerToMultibaseBytes
  , encodeBase32PadLowerToMultibaseBytesLazy
  , encodeTextInBase32PadLowerToMultibaseBytesLazy
  , encodeBase32PadLowerToMultibaseBytesShort
  , encodeTextInBase32PadLowerToMultibaseBytesShort
  ) where

import           Data.Multibase.Types.Internal.IsCodec
import           Data.Multibase.Types.Internal.IsMultibase
import           Data.Multibase.Types.Multibase
import           Data.Multibase.Types.MultibaseLazy
import           Data.Multibase.Types.MultibaseShort
import           Data.Multibase.Types.MultibaseBytes
import           Data.Multibase.Types.MultibaseBytesLazy
import           Data.Multibase.Types.MultibaseBytesShort
